Subject: ***UNCHECKED*** Re: [Fwd: [Fwd: hi there]]
From: "Koen Van Leemput" <[email-masked]>
To: "Eric Bonnet" <[email-masked]>
Date: Wed, 09 Aug 2006 11:30:49 +0200

WARNING: possible mail bomb, NOT CHECKED FOR VIRUSES:
  Maximum number of files (1500) exceeded at /usr/sbin/amavisd line 4472.

Subject: Re: [Fwd: [Fwd: hi there]]
From: "Koen Van Leemput" <[email-masked]>
To: "Eric Bonnet" <[email-masked]>
Date: Wed, 09 Aug 2006 11:30:49 +0200

Hi Eric,

I'm fine, thanks.  Although I am a bit lonely... the uni is officially 
closed this week, so there aren't many people around and Piet is at ISMB 
in Brazil (the lucky SOB.. :-)  )

I'm glad Genomica is running.  Regarding the Xvfb,  I took that binary 
from our  Calcua cluster, where it works just fine.  There isn't an X 
system installed on there as far as I know,  but it is possible some 
libraries are present that you do not have (the nodes run Suse 9.2).  I 
don't recall having to do anything special to get it to work, but I'm 
not really sure anymore.  Sorry that I can't be of more help.  My 
suggestion would be to compile it from source under your home dir on the 
cluster, if the source is available anyway,  hehe, ...  ;-)  ....

I have attached the source code for the Random graph generation 
algorithms... along with a very small usage example.  It doesn't plug 
into syntren right away (since I implemented it for a different 
project).   It depends on Java 5.0 and on 3 libraries:  COLT 1.2.0 , 
JUNG 1.7.4 and Commons-Collections 3.1.    I think I've included 
everything, so it should work (extract and look at the Readme). If not 
just drop me a mail.

Cheers,
KoenV

Eric Bonnet wrote:
> Hi Koen,
>
> Hope everything is going well for you. Here we are working hard to 
> produce a nice paper.
>
> We manage to run genomica (with some modifs from Tom to change some 
> default values in the GUI) but not on the cluster. The reason is that 
> the XFree stuff is not installed on the nodes and thus the Xvfb can 
> not be launched. Did you have the same problem on the "mega" cluster ?
>
> We would certainly be interested by the code for the other random 
> graph generation, at least to explore their properties with our stuff. 
> That would be great if you could send us the code, indeed.
>
> Cheers,
>
> Eric
>
> ------------------------------------------------------------------------
>
> Subject:
> [Fwd: hi there]
> From:
> Anagha Joshi <[email-masked]>
> Date:
> Tue, 08 Aug 2006 10:04:29 +0200
> To:
> Tom Michoel <[email-masked]>, [email-masked]
>
> To:
> Tom Michoel <[email-masked]>, [email-masked]
>
>
>
>
> ------------------------------------------------------------------------
>
> Subject:
> hi there
> From:
> Koen Van Leemput <[email-masked]>
> Date:
> Mon, 07 Aug 2006 21:29:11 +0200
> To:
> [email-masked]
>
> To:
> [email-masked]
>
>
> Hi Anagha,
>
> how are you?
> I was just wondering how your experiments were going and whether you 
> were having any problems with running Syntren and Genomica.   Did you 
> manage to get it running on the cluster?   Also, in case you are still 
> interested, I have implemented the Duplication-Mutation model for 
> random graph generation from Vazquez and the one from Sole.  If you 
> want, I can give you the code.
>
> Happy experimenting,
> Cheers,
> KoenV